data "aws_caller_identity" "current" {}

data "aws_partition" "current" {}

data "okta_app" "awsapp" {
  label = var.okta_app
}

data "okta_app_saml" "awsapp" {
  id = data.okta_app.awsapp.id
}

data "okta_app_metadata_saml" "awsapp" {
  app_id = data.okta_app.awsapp.id
  key_id = data.okta_app_saml.awsapp.key_id
}
